## Get ConfigOption Values

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/values/{systemName}/{configOption} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/values/{systemName}/{configOption}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/values/{systemName}/{configOption}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Formats

#### 200

```json
{
  "id": "<string>",
  "label": "<string>"
}
```

#### 4XX

```json
{
  "message": "<string>"
}
```

#### 5XX

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**: string (header, required)  
m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string, required  
UUID of the organization
- **systemName**: string, required  
The name of the system.
- **configOption**: string, required  
The entity to retrieve the configuration for.

### Response

**200**  
application/json  
Returns the ConfigOption Values  
Response containing options for a configuration
- **id**: string
- **label**: string
